--- a/Makefile Wed Oct 05 13:55:46 2011 -0600
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,17 +0,0 @@
-ANOLIS = anolis
-
-#all: editing.html xrefs.json
-all: editing.html
-
-intermediate.html: source.html preprocess Makefile
- ./preprocess
-
-editing.html: intermediate.html data Makefile
- $(ANOLIS) --output-encoding=ascii --omit-optional-tags --enable=xspecxref \
- --w3c-compat-xref-a-placement --use-strict $< $@
- sed -i 's!<span class=secno>[^<]*</span>!!g' $@
- rm intermediate.html
-
-# Hangs and it's useless for me anyway, kill it
-#xrefs.json: intermediate.html Makefile
-# $(ANOLIS) --dump-xrefs $< /tmp/spec
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/mkspec Wed Oct 05 14:03:01 2011 -0600
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -ex
+cd data
+hg pull
+hg up
+cd ..
+./preprocess
+anolis --output-encoding=ascii --omit-optional-tags --enable=xspecxref \
+ --w3c-compat-xref-a-placement --use-strict intermediate.html editing.html
+rm intermediate.html
+sed -i 's!<span class=secno>[^<]*</span>!!g' editing.html